Packages - Feature Request #2355

[your-system sanity][0ad] not detected
2019-07-11 01:14 PM - Anonymous

Status: open % Done: 0%
Priority: feature

Assignee:

Category:

Description

Oad has third-party package manager with use restrictions. Not sure about license.

Related issues:
Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress

History

#1 - 2019-07-16 05:16 AM - Anonymous

Feature Request, not bug

#2 - 2019-07-16 11:02 AM - freemor
- Priority changed from bug to feature
- Status changed from unconfirmed to open

- Tracker changed from Bug to Feature Request

The thrust of the still in development your-system-sanity package was to protect users from TPPMs that

1.) Installed non-free software

2.) Installed packages into places like /usr/lib /usr /bin /sbin /lib and such thus having the potential to overwrite official parabola packages or parts
there and there by rendering the system unstable/non-functional

I am not familiar enough with 0ad to know if the above applies.. non-free assets such as art, levels, themes, meshes, and on non-functional code
would probably best be addressed in either the main blacklist as [recommends nonfree] or in a separate blacklist
something like [your-cultrual-freedom].

#3 - 2019-07-16 11:12 AM - bill-auger

i suppose it depends on clarification of point 1 - if that is about non-free software that is necessarily installed, that would be clearly a standard blacklist
issue; but i dont think any TPPM or game actually does that - if that is about the potential ability to index, download, and install non-free software, then
it probably is the same concern as games that offer to download non-free assets

point 2 is the real bug and IMHO that bug would be better fixed rather than warning people about it - the real solution is obviously to patch pip and any
others so they install to /usr/local/ instead of /ust/; or better yet try convincing arch to do that - if that were done, then it seems that the scope reduces
to the first point of indexing, downloading, and installing non-free software (issue #1035); and i would be happy to toss such games on that pile along
with TPPMs and treat them all alike

maybe we should have a discussion on the mailing list about the scope of 'your-system-sanity', how it would function, and how it may relate to issue
#1035

#4 - 2019-07-16 12:41 PM - freemor

| strongly agree with Discussing it on the mailing list as | could see a lot on unnecessary duplication and confusion if the scope and purpose of this
were note clearly defined. | also agree with the "proper way to fix". Ultimately that would be the proper solution. And yes it'd be nice if that could be
upstream. Tho in a perfect world the people making these TPPMs would fix it and let the goodness flow to all the downstreams.

Is there any real use for these thing having to install in places other then /usr/local/xyz or is this just a case of laziness/not knowing better or
something else?

#5 - 2019-07-16 03:15 PM - bill-auger

its most likely the latter - i think these TPPM are made by and for windows and mac users

i was just assuming that it may be easier to convince arch because they do claim to follow the FHS

#6 - 2020-01-14 03:03 PM - bill-auger
- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added
